%define name	AlephOne
%define version 0.11.1
%define release 1mdk

Summary:	3D first-person shooter game
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Games/Arcade
Source:		http://ftp.sourceforge.net/marathon/%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/marathon/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Requires:	SDL >= 1.1.4

%description
Aleph One is an Open Source 3D first-person shooter game, based on the game
Marathon 2 by Bungie Software. It supports OpenGL, but doesn't require, for
rendering.

This package requires additional data -- shape, sound, and map information
-- in order to be installed. One source of this core data is the
AlephOne-minf-demo package.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/alephone"\
title="Alephone"\
longtitle="First person shooter game"\
needs="x11"\
section="Games/Arcade"
EOF
)

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL.Unix README docs/MML.html docs/Cheat_Codes
%{_bindir}/alephone
%{_datadir}/AlephOne/Fonts
%{_datadir}/AlephOne/MML/*.mml
%{_datadir}/AlephOne/Themes/Default/*.bmp
%{_datadir}/AlephOne/Themes/Default/resources
%{_datadir}/AlephOne/Themes/Default/theme.mml

%changelog
* Fri Mar 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.11.1-1mdk
- New release version 0.11.1.
- Update source URL
- Clean spec a bit

* Mon Jan 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.6-2mdk
- menu entry
- clean spec

* Fri Dec 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.10.6-1mdk
- new in contribs

* Thu Oct  5 2000 Christian Bauer <Christian.Bauer@uni-mainz.de>
- Added docs and theme data files
- Package name and version are set by configure script

* Fri Sep 30 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added a requirement to the base package for AlephOne-core-data
- Split out the Marathon Infinity Demo data into its own package

* Thu Sep 29 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added patch for SDL 1.1.5 SDL_SetClipping incompatability.

* Sat Sep 23 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added Marathon Infinity Demo data to package.
